Welcome to Centmin Mod Community
Become a Member

CXXABI_1.3.8 and CXXABI_1.3.9 not found

Discussion in 'Other Centmin Mod Installed software' started by victor, May 16, 2022.

Tags:
  1. victor

    victor New Member

    8
    0
    1
    Apr 9, 2015
    Slovenia
    Ratings:
    +2
    Local Time:
    4:57 PM
    MariaDB 10
    Help my to fix it:
    Code:
    ./7zz: /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by ./7zz)
    ./7zz: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./7zz)
    
    Sytem info:
    Beta Branch - Centmin Mod 130.00beta01

    Code:
    [14:24][root@root 7z]# cat /etc/*release
    130.00beta01.b9
    CentOS Linux release 7.9.2009 (Core)
    NAME="CentOS Linux"
    VERSION="7 (Core)"
    ID="centos"
    ID_LIKE="rhel fedora"
    VERSION_ID="7"
    PRETTY_NAME="CentOS Linux 7 (Core)"
    ANSI_COLOR="0;31"
    CPE_NAME="cpe:/o:centos:centos:7"
    HOME_URL="https://www.centos.org/"
    BUG_REPORT_URL="https://bugs.centos.org/"
    
    CENTOS_MANTISBT_PROJECT="CentOS-7"
    CENTOS_MANTISBT_PROJECT_VERSION="7"
    REDHAT_SUPPORT_PRODUCT="centos"
    REDHAT_SUPPORT_PRODUCT_VERSION="7"
    
    CentOS Linux release 7.9.2009 (Core)
    CentOS Linux release 7.9.2009 (Core)
    [14:24][root@root 7z]# gcc -v
    Using built-in specs.
    COLLECT_GCC=gcc
    COLLECT_LTO_WRAPPER=/opt/rh/devtoolset-11/root/usr/libexec/gcc/x86_64-redhat-linux/11/lto-wrapper
    Target: x86_64-redhat-linux
    Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,lto --prefix=/opt/rh/devtoolset-11/root/usr --mandir=/opt/rh/devtoolset-11/root/usr/share/man --infodir=/opt/rh/devtoolset-11/root/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --with-linker-hash-style=gnu --with-default-libstdcxx-abi=gcc4-compatible --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-11.2.1-20210728/obj-x86_64-redhat-linux/isl-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
    Thread model: posix
    Supported LTO compression algorithms: zlib
    gcc version 11.2.1 20210728 (Red Hat 11.2.1-1) (GCC)
    [14:24][root@root 7z]# which gcc
    /opt/rh/devtoolset-11/root/usr/bin/gcc
    [14:27][root@root 7z]# strings /usr/lib64/libstdc++.so.6.0.19 | grep GLIBCXX
    GLIBCXX_3.4
    GLIBCXX_3.4.1
    GLIBCXX_3.4.2
    GLIBCXX_3.4.3
    GLIBCXX_3.4.4
    GLIBCXX_3.4.5
    GLIBCXX_3.4.6
    GLIBCXX_3.4.7
    GLIBCXX_3.4.8
    GLIBCXX_3.4.9
    GLIBCXX_3.4.10
    GLIBCXX_3.4.11
    GLIBCXX_3.4.12
    GLIBCXX_3.4.13
    GLIBCXX_3.4.14
    GLIBCXX_3.4.15
    GLIBCXX_3.4.16
    GLIBCXX_3.4.17
    GLIBCXX_3.4.18
    GLIBCXX_3.4.19
    GLIBCXX_DEBUG_MESSAGE_LENGTH
    [14:27][root@root 7z]# strings /usr/lib64/libstdc++.so.6.0.19 | grep CXXABI
    CXXABI_1.3
    CXXABI_1.3.1
    CXXABI_1.3.2
    CXXABI_1.3.3
    CXXABI_1.3.4
    CXXABI_1.3.5
    CXXABI_1.3.6
    CXXABI_1.3.7
    CXXABI_TM_1
    [14:27][root@root 7z]# $LD_LIBRARY_PATH
    -bash: /opt/rh/devtoolset-11/root/usr/lib64:/opt/rh/devtoolset-11/root/usr/lib:/opt/rh/devtoolset-11/root/usr/lib64/dyninst:/opt/rh/devtoolset-11/root/usr/lib/dyninst:/opt/rh/rh-perl530/root/usr/lib64: No such file or directory
    [14:27][root@root 7z]#
    

     
  2. eva2000

    eva2000 Administrator Staff Member

    49,588
    11,382
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,686
    Local Time:
    11:57 PM
    Nginx 1.21.x
    MariaDB 10.x
    How was 7z installed? Exact steps/commands used?
     
  3. victor

    victor New Member

    8
    0
    1
    Apr 9, 2015
    Slovenia
    Ratings:
    +2
    Local Time:
    4:57 PM
    MariaDB 10
    I downloaded the latest version from the official website for 64-bit Linux x86-64. Unzipped it and tried to run it. Got an error as a result.
     
  4. victor

    victor New Member

    8
    0
    1
    Apr 9, 2015
    Slovenia
    Ratings:
    +2
    Local Time:
    4:57 PM
    MariaDB 10
    One of the options for solving this problem.

    Code:
    wget https://julialang-s3.julialang.org/bin/linux/x64/1.7/julia-1.7.2-linux-x86_64.tar.gz
    tar zxvf julia-1.7.2-linux-x86_64.tar.gz
    mv julia-1.7.2 /opt/julia
    rm -rf julia-1.7.2-linux-x86_64.tar.gz
    $ vi ~/.bashrc
    export PATH=$PATH:/opt/julia/bin
    find / -name "libstdc++.so.6*"
    strings /opt/julia/lib/julia/libstdc++.so.6.0.29 | grep CXXABI
    cp /opt/julia/lib/julia/libstdc++.so.6.0.29 /usr/lib64/
    mv /usr/lib64/libstdc++.so.6 /usr/lib64/libstdc++.so.6.bkp
    ln -s /usr/lib64/libstdc++.so.6.0.29 /usr/lib64/libstdc++.so.6
     
  5. eva2000

    eva2000 Administrator Staff Member

    49,588
    11,382
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,686
    Local Time:
    11:57 PM
    Nginx 1.21.x
    MariaDB 10.x
    that would explain it as the downloaded binary wasn't built for your distro version. You're better off either using an RPM version built for your CentOS 7 or building your own RPM for CentOS 7 or source compiling it. All methods will ensure it works on your distro version = CentOS 7

    not sure that is a good solution overriding it like that.